classification
Title: Rename the packaging “resources” concept back to “data files”
Type: Stage: resolved
Components: Distutils2 Versions: Python 3.3, 3rd party
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: tarek Nosy List: alexis, eric.araujo, pitrou, tarek
Priority: normal Keywords:

Created on 2011-11-15 13:02 by eric.araujo, last changed 2014-03-13 02:33 by eric.araujo. This issue is now closed.

Messages (5)
msg147665 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-11-15 13:02
The code dealing with the new resources subsystem used to be called datafiles (module distutils2.datafiles, file dist-info/DATAFILES, etc.).  I believe it is a better name and we should use it again:

- it would make clear that it’s an evolution of distutils’ data_files
- it would make clear that it’s related to install_data and data_files

“resources” is overly vague and ambiguous.  It can refer to natural resources, computer resources, links to more information, etc.  “data files” is less vague and less abstract: it refers to files that are not modules, scripts or C files.
msg148924 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-12-06 15:12
MvL also thought the “resources” term to be non-obvious: http://mail.python.org/pipermail/python-dev/2006-April/063966.html Other people mentioned its prior use within the Mac, the X system or Web frameworks.  Someone mentioned “assets” in the game industry (also vague in my opinion).

One con for “data” is that people may think it refers to files created by a program in the user home directory.

After reading this, I’m -0 rather than -1 on “resources”, and +0.5 on “data files”.  Whatever we decide, I strongly think all the code should use only one name (install_xxx command, dist.xxx attribute, dist-info/XXX file, etc.).
msg148925 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-12-06 15:32
Sounds reasonable to me.

(is it normal that there's no online help for it:

$ ./python -m pydoc packaging.resources
no Python documentation found for 'packaging.resources'
)
msg148926 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-12-06 15:37
The resources subsystem has code in the install_data command, the p7g.database module and internal classes.  There used to be a p7g.resources module but it was merged into database because it contained only a few lines.
msg148927 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-12-06 15:39
Regarding reST docs, there’s a good bit in packaging/setupcfg and I have plans to explain it more (what it does, how it works with sysconfig.cfg, how it obsoletes package_data, how to use it and keep compat with distutils).
History
Date User Action Args
2014-03-13 02:33:30eric.araujosetstatus: open -> closed
resolution: out of date
stage: resolved
2011-12-06 15:39:08eric.araujosetmessages: + msg148927
2011-12-06 15:37:07eric.araujosetmessages: + msg148926
title: Rename packaging.resources back to datafiles -> Rename the packaging “resources” concept back to “data files”
2011-12-06 15:32:54pitrousetnosy: + pitrou
messages: + msg148925
2011-12-06 15:12:49eric.araujosetmessages: + msg148924
2011-11-15 13:02:27eric.araujocreate